## Class Auth_OpenID_CheckIDRequest

Description

A request to confirm the identity of a user.

Located in /Auth/OpenID/Server.php (line 708)

    Auth_OpenID_Request
       |
       --Auth_OpenID_CheckIDRequest

Variable Summary
mixed $immediate
mixed $mode
mixed $namespace
mixed $trust_root
mixed $verifyReturnTo
Method Summary
Auth_OpenID_CheckIDRequest Auth_OpenID_CheckIDRequest ( $identity, $return_to, [ $trust_root = null], [ $immediate = false], [ $assoc_handle = null], [ $server = null], [ $claimed_id = null])
mixed answer (bool $allow, [string $server_url = null], [string $identity = null], [string $claimed_id = null])
void encodeToURL ( $server_url)
void equals ( $other)
void fromMessage ( &$message, $server)
void getCancelURL ()
void idSelect ()
void make ( &$message, $identity, $return_to, [ $trust_root = null], [ $immediate = false], [ $assoc_handle = null], [ $server = null])
void returnToVerified ()
void trustRootValid ()
Variables
mixed $immediate = false (line 723)

Whether this request is for immediate mode.

mixed $mode = "checkid_setup" (line 718)

The mode of this request.

Redefinition of:

Auth_OpenID_Request::$mode

mixed $namespace (line 734)

The OpenID namespace for this request.

deprecated since version 2.0.2

mixed $trust_root = null (line 728)

The trust_root value for this request.

mixed $verifyReturnTo = 'Auth_OpenID_verifyReturnTo' (line 713)

Return-to verification callback. Default is Auth_OpenID_verifyReturnTo from TrustRoot.php.

Methods
Constructor Auth_OpenID_CheckIDRequest (line 765)
Auth_OpenID_CheckIDRequest Auth_OpenID_CheckIDRequest ( $identity, $return_to, [ $trust_root = null], [ $immediate = false], [ $assoc_handle = null], [ $server = null], [ $claimed_id = null])

- $identity
- $return_to
- $trust_root
- $immediate
- $assoc_handle
- $server
- $claimed_id

answer (line 972)

Respond to this request. Return either an Auth_OpenID_ServerResponse or Auth_OpenID_ServerError.

mixed answer (bool $allow, [string $server_url = null], [string $identity = null], [string $claimed_id = null])

- bool $allow: Allow this user to claim this identity, and allow the consumer to have this information?
- string $server_url:

  DEPRECATED. Passing $op_endpoint to the Auth_OpenID_Server constructor makes this optional.

  When an OpenID 1.x immediate mode request does not succeed, it gets back a URL where the request may be carried out in a not-so-immediate fashion. Pass my URL in here (the fully qualified address of this server's endpoint, i.e. http://example.com/server), and I will use it as a base for the URL for a new request.

  Optional for requests where $immediate is false or $allow is true.

- string $identity: The OP-local identifier to answer with. Only for use when the relying party requested identifier selection.
- string $claimed_id:

  The claimed identifier to answer with, for use with identifier selection in the case where the claimed identifier and the OP-local identifier differ, i.e. when the claimed_id uses delegation.

  If $identity is provided but this is not, $claimed_id will default to the value of $identity. When answering requests that did not ask for identifier selection, the response $claimed_id will default to that of the request.

  This parameter is new in OpenID 2.0.

encodeToURL (line 1124)
void encodeToURL ( $server_url)

- $server_url

equals (line 791)
void equals ( $other)

- $other

fromMessage (line 823)
void fromMessage ( &$message, $server)

- &$message
- $server

getCancelURL (line 1158)
void getCancelURL ()
idSelect (line 906)
void idSelect ()
make (line 736)
void make ( &$message, $identity, $return_to, [ $trust_root = null], [ $immediate = false], [ $assoc_handle = null], [ $server = null])

- &$message
- $identity
- $return_to
- $trust_root
- $immediate
- $assoc_handle
- $server

returnToVerified (line 817)
void returnToVerified ()
trustRootValid (line 913)
void trustRootValid ()

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2